Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo
Class JDOObjectNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOCanRetryException
                                    |
                                    +--javax.jdo.JDODataStoreException
                                          |
                                          +--javax.jdo.JDOObjectNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class JDOObjectNotFoundException
extends JDODataStoreException

This class represents exceptions caused by the user accessing an object that does not exist in the datastore.

Version:
  1.0.1
Author:
  Craig Russell
See Also:
  Serialized Form

Constructor Summary
`JDOObjectNotFoundException()` Constructs a new `JDOObjectNotFoundException` without a detail message.
`JDOObjectNotFoundException(java.lang.String msg)` Constructs a new `JDOObjectNotFoundException` with the specified detail message.
`JDOObjectNotFoundException(java.lang.String msg, java.lang.Object failed)` Constructs a new `JDOObjectNotFoundException` with the specified detail message and failed object.
`JDOObjectNotFoundException(java.lang.String msg, java.lang.Throwable[] nested)` Constructs a new `JDOObjectNotFoundException` with the specified detail message and nested `Throwable`s.

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDOObjectNotFoundException

    public JDOObjectNotFoundException()

  Constructs a new `JDOObjectNotFoundException` without a detail message.

### JDOObjectNotFoundException

    public JDOObjectNotFoundException(java.lang.String msg)

  Constructs a new `JDOObjectNotFoundException` with the specified detail message.
  Parameters:
    `msg` - the detail message.

### JDOObjectNotFoundException

    public JDOObjectNotFoundException(java.lang.String msg,
                                      java.lang.Object failed)

  Constructs a new `JDOObjectNotFoundException` with the specified detail message and failed object.
  Parameters:
    `msg` - the detail message.
    `failed` - the failed object.

### JDOObjectNotFoundException

    public JDOObjectNotFoundException(java.lang.String msg,
                                      java.lang.Throwable[] nested)

  Constructs a new `JDOObjectNotFoundException` with the specified detail message and nested `Throwable`s.
  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable[]`.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD